#include <comobj.hpp>
#include "word.h"

void __fastcall TWord::Run() // Run Word Application
{
 try { Wapp = CreateOleObject("Word.Application");}
      catch (...) { }
} // -----------------------------------------

void __fastcall TWord::Quit() // Quit Word Application
{
  try { Wapp.Exec(Procedure("Quit"));
        Wapp.Clear();
      } catch (...) { }
} // ------------------------------------------

__fastcall TWord::~TWord(){}
// -------------------------------

void __fastcall TWord::OpenDoc(AnsiString fname) // Open Document
{
  try {Wdocs = Wapp.OlePropertyGet("Documents");}
     catch (...) { }
  try {Wdocs.Exec(Procedure("Open") << fname.c_str());}
     catch (...) { }
  try {Wdoc = Wapp.OlePropertyGet("ActiveDocument");}
     catch (...) { }
} // ---------------------------------------------------------------

void __fastcall TWord::SaveAs(AnsiString fname) // Save Document As ...
{
  try { Wdoc.Exec(Procedure("SaveAs") << fname.c_str()); }
     catch (...) { }
} //-------------------------------------------------------------------

void __fastcall TWord::CloseDoc() // Close Document
{
  try { Wdoc.Exec(Procedure("Close")); }
      catch (...) { }
  Wdocs.Clear();
  Wdoc.Clear();
} //-----------------------------------------------------------------

void __fastcall TWord::GotoBookmark(AnsiString name) // Goto Bookmark
{
  try { Range = Wdoc.OleFunction("GoTo", -1, 0 ,0 , name.c_str());
        Range.Exec(Procedure("Select"));}
       catch (...) { }
} //-------------------------------------------------------------------

void __fastcall TWord::TypeText(AnsiString text) // Type Text
{
   try { Range.Exec(Procedure("InsertAfter") << text);}
       catch (...) { }
} //--------------------------------------------------

void __fastcall TWord::TypeToBookmark(AnsiString name,AnsiString text)//
{
  TWord::GotoBookmark(name);
  TWord::TypeText(text);
} //-------------------------------------------------------------

void __fastcall TWord::Print() // Print Document
{
  try {Wdoc.Exec(Procedure("PrintOut"));}
      catch (...) { }
} //----------------------------------------------
